
/* mix of latte and frappe catpuccin */
:root {
    --base: #303446;
    --mantle: #292c3c;
    --crust: #232634;
    --text: #4c4f69;
    --subtext: #6c6f85;
    --surface0: #414559;
    --surface1: #51576d;
    --overlay: #a5adce;
    --blue: #8caaee;
    --green: #a6d189;
    --red: #e78284;
    --mauve: #ca9ee6;
    --peach: #ef9f76;
    --yellow: #e5c890;
    --sky: #99d1db;

    --dred: #ff4e5d;
    --dgreen: #58e039; 
    --dblue: #1e66f5;
}

* {
    padding: 0;
    margin: 0;

    font-family: Rubik, sans-serif;
}

/* util */
.gray-bg { background-color: var(--overlay) }
.warning-tape { background: repeating-linear-gradient(45deg, var(--yellow), var(--yellow) 20px, var(--base) 20px, var(--base) 40px) }
.rainbow { animation: rainbow 10s linear; animation-iteration-count: infinite }
.star {
    position: fixed;
    pointer-events: none;
    z-index: 99999;
    line-height: 1;
    transform: translate(-50%, -50%);
}

/* development mode banner */
.dev-mode-class-thing-so-it-doesnt-overlap-anything {
    min-height: 24px;
    width: 100vw;
    margin-left: calc(50% - 50vw);
    margin-top: -1rem;
    margin-bottom: 1rem;

    display: flex;
    align-items: center;
    justify-content: center;
}

.dev-mode-class-thing-so-it-doesnt-overlap-anything p {
    font-weight: bold;
    color: var(--yellow);
    text-shadow: -1px -1px 0 var(--base), 1px -1px 0 var(--base), -1px 1px 0 var(--base), 1px 1px 0 var(--base);
}

.dev-mode-class-thing-so-it-doesnt-overlap-anything a {
    font-weight: bold;
    color: var(--yellow);
    text-shadow: -1px -1px 0 var(--base), 1px -1px 0 var(--base), -1px 1px 0 var(--base), 1px 1px 0 var(--base);
}

body {
    margin: auto;
    max-width: 850px;
    background-color: rgb(224, 227, 235);
    color: var(--base);

    padding: 1rem 0;
}

blockquote {
    position: relative;

    color: var(--text);
    padding-left: 14px;
}

blockquote::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 5px;
    border-radius: 3px;
    background: var(--text);
}

code {
    font-family: 'courier new', sans-serif;
    background-color: var(--base);    
    color: rgb(224, 227, 235);
}

#birth {
    font-weight: bold;
}

.about-me p, .about-me h1, .about-me h2 {
    padding-top: 5px;
}
.about-me li {
    margin-left: 2rem;
}

/* header nav */
.header-nav {
    display: flex;
    flex-direction: row;
    gap: 5px;
    margin-bottom: 5px;
}

.header-nav > a {
    display: flex;
    flex: 1;
    
    align-items: center;
    justify-content: center;
    text-align: center;

    text-decoration: none;
    color: #000;

    transition: flex-grow 0.2s ease;
}

.header-nav > a:hover {
    flex-grow: 1.5;
}

.header-nav .h-n-box {
    border-radius: 5px;
    padding: 0.85rem;

    font-weight: 500;
}

.header-nav > *:nth-child(1) { background-color: var(--overlay); }
.header-nav > *:nth-child(2) { background-color: var(--mauve); }
.header-nav > *:nth-child(3) { background-color: var(--red); }
.header-nav > *:nth-child(4) { background-color: var(--peach); }
.header-nav > *:nth-child(5) { background-color: var(--blue); }
.header-nav > *:nth-child(6) { background-color: var(--sky); }

/* boxes */
.box {
    border-radius: 5px;
    padding: 0.85rem;

    font-weight: 500;
    transition: font-size 0.08s ease;
}

.box-header {
    color: #000;
    padding: 0 0 0.4rem;
}

.box, .box h1 {
    font-size: 18px
}

.box:hover {
    font-size: 20px;
}

.box p {
    font-size: 16px;
    font-weight: 400;
}

/* 88x31s (little icons that scroll) */
.eighty8x31s-wrap {
    width: 100%;
    overflow: hidden;
    height: 31px;
}

.eighty8x31s {
    display: flex;
    width: max-content;
    will-change: transform;
}

.eighty8x31s * {
    padding: 0 3px;
    flex-shrink: 0;
}

/* header */
.header .h-main {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    color: #000;
    margin: 5px;

    background: linear-gradient(120deg, rgba(191, 147, 218, 0.3), rgba(140, 170, 238, 0.30) 45%, rgba(134, 182, 191, 0.28) 70%, rgba(230, 155, 117, 0.3));
}

.header .h-main > * {
    padding: 0 5px;
}

.header .h-main h1 {
    font-size: 24px;
    letter-spacing: 2px;
}

.header .h-main #h-deco-a {
    background: linear-gradient(90deg, transparent, #000 50%);
    background-clip: text;
    color: transparent;
}

.header .h-main #h-deco-b {
    background: linear-gradient(90deg, #000 50%, transparent);
    background-clip: text;
    color: transparent;
}

/* landing page */
.lander {
    display: flex;
    flex-direction: row;

    width: 100%;
}

.lander > * {
    gap: 5px;
}

.main {
    padding: 5px 5px 5rem 5px;
}

/*        */
/** left **/
/*        */
.main .m-left {
    display: flex;
    flex-direction: column;
    
    padding-right: 5px;
    flex: 0 0 27%;
}

.main .m-left .m-l-spotify .m-l-spotify-container,
.main .m-left .m-l-discord .m-l-discord-container  {
    display: flex;
    flex-direction: row;
    align-items: center;

    gap: 7px;
}

.main .m-left .m-l-spotify .m-l-s-img,
.main .m-left .m-l-discord .m-l-d-img {
    width: 45px;
    height: 45px;

    border-radius: 99999px;
}

.main .m-left .m-l-spotify .m-l-s-desc #spotifySong,
.main .m-left .m-l-discord .m-l-d-desc #discordUsername {
    font-weight: 500;
}

.main .m-left .m-l-spotify .m-l-s-desc #spotifyArtist,
.main .m-left .m-l-discord .m-l-d-desc #discordStatus {
    font-size: 12px;
}

.main .m-left .m-l-spotify .m-l-s-desc #spotifySong,
.main .m-left .m-l-discord .m-l-d-desc #discordUsername,
.main .m-left .m-l-spotify .m-l-s-desc #spotifyArtist,
.main .m-left .m-l-discord .m-l-d-desc #discordStatus {
    display: block;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    max-width: 8rem;
}

/* discord specific */
.main .m-left .m-l-discord .m-l-d-avatar {
    position: relative;
    width: 45px;
    height: 45px;

    flex-shrink: 0;
}

.main .m-left .m-l-discord .m-l-d-status {
    position: absolute;
    bottom: -1px;
    right: -1px;
    width: 14px;
    height: 14px;

    border-radius: 99999px;

    box-shadow: 0 0 0 3px var(--overlay);
    background-color: radial-gradient(circle, var(--overlay) 38%, #80848e 42%);
}

.main .m-left .m-l-discord .m-l-d-status[data-status="offline"] {
    background-color: #84858d;
}

.main .m-left .m-l-discord .m-l-d-status[data-status="offline"]::after {
    content: "";
    position: absolute;

    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    width: 6px;
    height: 6px;
    border-radius: 999px;
    background: var(--overlay);
}

.main .m-left .m-l-discord .m-l-d-status[data-status="online"] {
    background: rgb(69, 163, 102);
}

.main .m-left .m-l-discord .m-l-d-status[data-status="idle"] {
    background: radial-gradient(circle at 25% 25%, var(--overlay) 42%, #f0b232 46%);
}

.main .m-left .m-l-discord .m-l-d-status[data-status="dnd"] {
    background-color: #f23f43
}

.main .m-left .m-l-discord .m-l-d-status[data-status="dnd"]::after {
    content: "";
    position: absolute;

    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    width: 10px;
    height: 3px;
    border-radius: 2px;
    background: var(--overlay);
}

/* spotify specific */
.main .m-left .m-l-spotify .m-l-s-img {
    mask: radial-gradient(circle, transparent 15%, black 30%);
    animation: spin 7s linear infinite;
}

@keyframes spin {
    from { transform: rotate(0deg); }
    to { transform: rotate(360deg); }
}

.main .m-left .m-l-spotify .m-l-spotify-container[data-hasurl="1"] {
    cursor: pointer;
}

/* uptime specific */
.main .m-left .m-l-uptime .m-l-uptime-container #status-icon[data-status="up"] {
    color: var(--dgreen)
}

.main .m-left .m-l-uptime .m-l-uptime-container #status-icon[data-status="down"] {
    color: var(--dred)
}

.main .m-left .m-l-uptime .m-l-uptime-container #status-icon[data-status="maintenance"] {
    color: var(--dblue)
}

.main .m-left .m-l-uptime .m-l-uptime-container #status-icon[data-status="unknown"] {
    color: var(--base)
}

/*         */
/** right **/
/*         */
.main .m-right { 
    color: #000;
    flex: 1
}

.main .m-right > * {
    margin-bottom: 5px;
}

.main .m-right .m-r-nav {
    display: grid;
    gap: 5px;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(3, 1fr);
    grid-template-areas:
        'a a a b b b'
        'a a a c c c'
        'd d d c c c'
        'e e e e e e';
}

.main .m-right .m-r-nav > *:nth-child(1) { grid-area: a; background-color: var(--mauve); }
.main .m-right .m-r-nav > *:nth-child(2) { grid-area: b; background-color: var(--red); }
.main .m-right .m-r-nav > *:nth-child(3) { grid-area: c; background-color: var(--peach); }
.main .m-right .m-r-nav > *:nth-child(4) { grid-area: d; background-color: var(--blue); }
.main .m-right .m-r-nav > *:nth-child(5) { grid-area: e; background-color: var(--sky); }

.main .m-right .m-r-nav > a,
.main .m-right .m-r-big {
    display: flex;
    text-decoration: none;
    color: #000;
}

/*        */
/** blog **/
/*        */
.main .blog-list a {
    text-decoration: none;
    color: #000
}

.main .blog-list a #desc {
    color: var(--base)
}

.main .blog-list a #date {
    font-size: 12px;
    color: var(--base)
}

.main .blog-list .blog-box {
    padding: 0 0.25rem;
}

.main .blog-list .blog-box > * {
    padding-left: 5px;
}

.main .blog-list .blog-box h1 {
    font-size: 18px;
}

.main .blog {
    width: 100%;
}

.main .blog #header hr {
    margin: 10px 5px 0;
}

.main .blog #content h1, 
.main .blog #content h2, 
.main .blog #content h3, 
.main .blog #content h4 {
    padding-top: 10px;
}

.main .blog #content p {
    padding-top: 8px;
}

.main .blog #footer {
    font-size: 12px;
    color: var(--base);
    padding-top: 50px;
    text-align: right;
}

/* projects */
.main .project-list {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-auto-rows: auto;
    grid-auto-flow: row;
    gap: 5px;
}

.main .project-list .project-box {
    background-color: var(--overlay);
    padding: 10px;
    border-radius: 5px;

    cursor: pointer;
}

.main .project-list .project-box img {
    width: calc(100% + 20px);
    margin: -10px -10px 10px -10px;
    object-fit: cover;
    border-radius: 5px 5px 0 0;

    height: auto;
    display: block;
}

.main .project-list a {
    text-decoration: none;
    color: #000
}


/* .main .project-list .project-box h1 {
    font-size: 18px;
} */

/*         */
/** tools **/
/*         */
/* cs2-multiline */

/*             */
/** guestbook **/
/*             */
.guestbook {
    display: flex;
    gap: 5px;
}

.gb-left {
    flex: 0 0 38%;
    align-self: flex-start;

    padding: 10px;
    background-color: var(--overlay);
    border-radius: 5px;
}

.gb-left form {
    display: flex;
    flex-direction: column;

    min-width: 0;
    padding-top: 10px;
    gap: 5px;
}

.gb-left form p[data-type="bad"] {
    color: var(--dred)
}

.gb-left form input, 
.gb-left form textarea {
    font-size: 14px;
    border: 0;
    border-radius: 5px;
    padding: 5px;
}

.gb-left form textarea {
    resize: vertical
}

.gb-right {
    display: flex;
    flex-direction: column;
    flex: 1;
    gap: 5px;
}

.gb-right .gb-entry {
    padding: 5px;
    border-radius: 5px;
    background-color: rgba(0,0,0, 0.1);
}

.gb-right .gb-entry #name {
    font-size: 20px;
    color: #000
}

.gb-right .gb-entry #msg {
    padding-bottom: 8px;
    margin: 0;
    overflow-wrap: anywhere;
    word-break: break-word;
}

.gb-right .gb-entry #date {
    font-size: 12px;
}

/*          */
/** footer **/
/*          */
.footer p {
    position: fixed;
    bottom: 0.5rem;
    left: 0;
    right: 0;

    font-size: 12px;
    color: var(--text);

    text-align: center;
}

.footer p a {
    text-decoration: none;
}

.footer p a:active, .footer p a:visited {
    color: var(--text)
}

/* admin login */
.admin-login {
    text-align: center;
}

.admin-login form {
    padding-top: 15px;

    margin: auto;
    display: flex;
    flex-direction: column;
    width: 25%
}

.admin-login input {
    padding: 10px;
    border: 0;
    border-radius: 5px;
}

.admin-login input[type=submit] {
    background-color: var(--blue);
    cursor: pointer;
}

.admin-login input:not(:first-child) {
    margin-top: 5px;
}

/* admin */
.admin-c {
    width: 100%;
    display: flex;
    flex-direction: row;
    
    gap: 10px
}

.pending-list, .approved-list {
    flex: 1;
    min-width: 0;
}

.pending-list .item,
.approved-list .item {
    display: flex;
    width: 100%;
    flex-direction: row;
    padding: 5px;
    box-sizing: border-box;

    align-items: center
}

.pending-list .item .item-details,
.approved-list .item .item-details {
    flex: 1;
    min-width: 0;
    overflow-wrap: hidden;
}

.pending-list .item .item-details p,
.approved-list .item .item-details p {
    margin: 0;
    overflow-wrap: anywhere;
    word-break: break-word;
}

.pending-list .item .item-details #date,
.approved-list .item .item-details #date {
    font-size: 12px;
}

.pending-list .item .item-buttons,
.approved-list .item .item-buttons {
    flex: 0 0 20%;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.pending-list .item .item-buttons form,
.approved-list .item .item-buttons form {
    width: 100%;
    margin: 0;
}

.pending-list .item .item-buttons input,
.approved-list .item .item-buttons input {
    width: 100%;
    cursor: pointer;
}

.pending-list .item input,
.approved-list .item input {
    padding: 5px;
    border: 0;
    border-radius: 5px;
}

.pending-list .item #approve {
    background: var(--green);
}

.pending-list .item #deny,
.approved-list .item #delete {
    background: var(--red);
}

@keyframes rainbow {
    100%, 0% { color: rgb(235, 0, 0) }
    8% { color: rgb(226, 113, 0) }
    16% { color: rgb(208, 208, 0) }
    25% { color: rgb(110, 220, 0) }
    33% { color: rgb(0, 218, 0) }
    41% { color: rgb(0, 206, 103) }
    50% { color: rgb(0, 208, 208) }
    58% { color: rgb(0, 116, 232) }
    66% { color: rgb(0, 0, 225) }
    75% { color: rgb(111, 0, 222) }
    83% { color: rgb(229, 0, 229) }
    91% { color: rgb(223, 0, 112) }
}

/* MOBILE INTERACTIVITY */
@media screen and (max-width: 540px) {
    #h-deco-a, #h-deco-b {
        display: none;
    }

    .main .m-right .m-r-nav {
        grid-template-columns: 1fr;
        grid-template-rows: repeat(5, 1fr);
        grid-template-areas: 
            'a'
            'b'
            'c'
            'd'
            'e';
    }
}

@media screen and (max-width: 600px) {
    .main .m-left {
        flex: 1;
    }

    .header-nav {
        display: flex;
        flex-wrap: wrap;
    }
    
    .h-n-box {
        flex: 1 1 calc(50% - 10px);
    }

    .guestbook {
        flex-direction: column;
        align-self: normal;
        gap: 10px;
    }

    .guestbook .gb-left {
        width: calc(100% - 20px);
    }

    .guestbook .gb-left,
    .guestbook .gb-right {

        flex: 1;
    }
}